Close

Error when upgrading to 4.4

[email protected]
2 years ago
#21633 Quote
Avatar
  • 2
I am getting the below error when upgrading to 4.4:

An error occurred while starting the application.
AggregateException: One or more errors occurred. (Invalid column name 'CustomClass'.
Invalid column name 'MobileBreakpoint'.
Invalid column name 'Arrows'.
Invalid column name 'Dots'.
Invalid column name 'Fade'.
Invalid column name 'Speed'.
Invalid column name 'AutoplaySpeed'.
Invalid column name 'Autoplay'.)
System.Threading.Tasks.Task.Wait(int millisecondsTimeout, CancellationToken cancellationToken)

SqlException: Invalid column name 'CustomClass'.
Invalid column name 'MobileBreakpoint'.
Invalid column name 'Arrows'.
Invalid column name 'Dots'.
Invalid column name 'Fade'.
Invalid column name 'Speed'.
Invalid column name 'AutoplaySpeed'.
Invalid column name 'Autoplay'.
System.Data.SqlClient.SqlCommand+<>c.<ExecuteDbDataReaderAsync>b__126_0(Task<SqlDataReader> result)

AggregateException: One or more errors occurred. (Invalid column name 'CustomClass'. Invalid column name 'MobileBreakpoint'. Invalid column name 'Arrows'. Invalid column name 'Dots'. Invalid column name 'Fade'. Invalid column name 'Speed'. Invalid column name 'AutoplaySpeed'. Invalid column name 'Autoplay'.)
System.Threading.Tasks.Task.Wait(int millisecondsTimeout, CancellationToken cancellationToken)
System.Threading.Tasks.Task.Wait()
SevenSpikes.Nop.Plugins.AnywhereSliders.Data.Migrations.SlidersDataMigration.Up()
FluentMigrator.MigrationBase.GetUpExpressions(IMigrationContext context)
FluentMigrator.Runner.MigrationRunner+<>c.<ApplyMigrationUp>b__69_0(IMigration m, IMigrationContext c)
FluentMigrator.Runner.MigrationRunner.ExecuteMigration(IMigration migration, Action<IMigration, IMigrationContext> getExpressions)
FluentMigrator.Runner.MigrationRunner.ApplyMigrationUp(IMigrationInfo migrationInfo, bool useTransaction)
FluentMigrator.Runner.MigrationRunner.MigrateUp(long targetVersion, bool useAutomaticTransactionManagement)
FluentMigrator.Runner.MigrationRunner.MigrateUp(long targetVersion)
Nop.Data.Migrations.MigrationManager.ApplyUpMigrations(Assembly assembly, bool isUpdateProcess) in MigrationManager.cs
+
                    _migrationRunner.MigrateUp(migrationInfo.Version);
Nop.Web.Framework.Infrastructure.Extensions.ApplicationBuilderExtensions.StartEngine(IApplicationBuilder application) in ApplicationBuilderExtensions.cs
+
                migrationManager.ApplyUpMigrations(assembly, true);
Nop.Web.Startup.Configure(IApplicationBuilder application) in Startup.cs
+
            application.StartEngine();
System.RuntimeMethodHandle.InvokeMethod(object target, object[] arguments, Signature sig, bool constructor, bool wrapExceptions)
System.Reflection.RuntimeMethodInfo.Invoke(object obj, BindingFlags invokeAttr, Binder binder, object[] parameters, CultureInfo culture)
Microsoft.AspNetCore.Hosting.ConfigureBuilder.Invoke(object instance, IApplicationBuilder builder)
Microsoft.AspNetCore.Hosting.ConfigureBuilder+<>c__DisplayClass4_0.<Build>b__0(IApplicationBuilder builder)
Microsoft.AspNetCore.Hosting.GenericWebHostBuilder+<>c__DisplayClass15_0.<UseStartup>b__1(IApplicationBuilder app)
Microsoft.AspNetCore.Mvc.Filters.MiddlewareFilterBuilderStartupFilter+<>c__DisplayClass0_0.<Configure>g__MiddlewareFilterBuilder|0(IApplicationBuilder builder)
Microsoft.AspNetCore.Server.IIS.Core.IISServerSetupFilter+<>c__DisplayClass2_0.<Configure>b__0(IApplicationBuilder app)
Microsoft.AspNetCore.HostFilteringStartupFilter+<>c__DisplayClass0_0.<Configure>b__0(IApplicationBuilder app)
Microsoft.AspNetCore.Hosting.GenericWebHostService.StartAsync(CancellationToken cancellationToken)
Microsoft.Extensions.Hosting.Internal.Host.StartAsync(CancellationToken cancellationToken)
Nop.Web.Program.Main(string[] args) in Program.cs
+
            await host.StartAsync();
Nop.Web.Program.<Main>(string[] args)
todor.atanasov
2 years ago
#21634 Quote
Avatar
  • Moderator
  • 249
Greetings,

It seems that you haven't run the database upgrade scripts for 4.2 -> 4.3, which are responsible for adding those columns to the database.

In order to upgrade nopCommerce and all our products, you need to run our upgrade scripts as well, as per our instructions on upgrading nopCommerce.
Best regards,
Todor Atanasov
Nop-templates.com
cosource
one month ago
#22359 Quote
Avatar
  • 2
Hi. I'm facing the same problem. Where can I find those scripts to update from 4.2 to 4.3?